/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.invitation.invite.members.internal.upgrade;

import com.liferay.invitation.invite.members.internal.upgrade.v1_0_0.UpgradeNamespace;
import com.liferay.invitation.invite.members.internal.upgrade.v1_0_0.UpgradePortletId;
import com.liferay.portal.upgrade.registry.UpgradeStepRegistrator;

import org.osgi.service.component.annotations.Component;

/**
 * @author Adolfo Pérez
 */
@Component(immediate = true, service = UpgradeStepRegistrator.class)
public class InviteMembersServiceUpgrade implements UpgradeStepRegistrator {

	@Override
	public void register(Registry registry) {
		registry.register(
			"com.liferay.invitation.invite.members.service", "0.0.1", "1.0.1",
			new UpgradeNamespace(), new UpgradePortletId());

		// See LPS-65946

		registry.register(
			"com.liferay.invitation.invite.members.service", "1.0.0", "1.0.1",
			new UpgradeNamespace(), new UpgradePortletId());
	}

}